Skip to content

Delete skill reference file

DELETE
/api/v1/workspaces/{workspace_id}/skills/{skill_id}/references/{id}
curl --request DELETE \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/skills/1/references/1 \
--header 'Authorization: Bearer <token>'

Removes a file from a skill.

workspace_id
required
integer

Workspace ID

skill_id
required
integer

Skill ID

id
required
integer

Skill reference file ID

Successful

Unauthorized

Media typeapplication/json
object
message
required
string
code
string
Example
{
"message": "Record not found",
"code": "share_link_expired"
}

Forbidden

Media typeapplication/json
object
message
required
string
code
string
Example
{
"message": "Record not found",
"code": "share_link_expired"
}

Not Found

Media typeapplication/json
object
message
required
string
code
string
Example
{
"message": "Record not found",
"code": "share_link_expired"
}